<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/ConfigHandler/CfgParam.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d22/_cfg_param_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">CfgParam.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d0/d22/_cfg_param_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9b/class_cfg_param.html">CfgParam</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ac0481301affd7dbad5b77cf73ab5523c"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d22/_cfg_param_8c.html#ac0481301affd7dbad5b77cf73ab5523c">CFG_TYPE_STRING</a> = 0</td></tr>
<tr class="separator:ac0481301affd7dbad5b77cf73ab5523c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa51a3809577ff9b39347a158d9d628f9"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d22/_cfg_param_8c.html#aa51a3809577ff9b39347a158d9d628f9">CFG_TYPE_INT</a> = 1</td></tr>
<tr class="separator:aa51a3809577ff9b39347a158d9d628f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af051332f6081fc403dfd66575df4030b"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d22/_cfg_param_8c.html#af051332f6081fc403dfd66575df4030b">CFG_TYPE_FLOAT</a> = 2</td></tr>
<tr class="separator:af051332f6081fc403dfd66575df4030b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a154c21add7aa9e9a7f3545d33519f5a1"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d22/_cfg_param_8c.html#a154c21add7aa9e9a7f3545d33519f5a1">CFG_TYPE_BOOL</a> = 3</td></tr>
<tr class="separator:a154c21add7aa9e9a7f3545d33519f5a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dabc6777da99b2e3d888479b2f5c954"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d22/_cfg_param_8c.html#a1dabc6777da99b2e3d888479b2f5c954">CFG_TYPE_ARRAY</a> = 4</td></tr>
<tr class="separator:a1dabc6777da99b2e3d888479b2f5c954"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ec6a3b0db96a95f007302245e08c808"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d22/_cfg_param_8c.html#a5ec6a3b0db96a95f007302245e08c808">CFG_TYPE_PARAM</a> = 5</td></tr>
<tr class="separator:a5ec6a3b0db96a95f007302245e08c808"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a1dabc6777da99b2e3d888479b2f5c954" name="a1dabc6777da99b2e3d888479b2f5c954"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1dabc6777da99b2e3d888479b2f5c954">&#9670;&#160;</a></span>CFG_TYPE_ARRAY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CFG_TYPE_ARRAY = 4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d22/_cfg_param_8c_source.html#l00005">5</a> of file <a class="el" href="../../d0/d22/_cfg_param_8c_source.html">CfgParam.c</a>.</p>

</div>
</div>
<a id="a154c21add7aa9e9a7f3545d33519f5a1" name="a154c21add7aa9e9a7f3545d33519f5a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a154c21add7aa9e9a7f3545d33519f5a1">&#9670;&#160;</a></span>CFG_TYPE_BOOL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CFG_TYPE_BOOL = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d22/_cfg_param_8c_source.html#l00004">4</a> of file <a class="el" href="../../d0/d22/_cfg_param_8c_source.html">CfgParam.c</a>.</p>

</div>
</div>
<a id="af051332f6081fc403dfd66575df4030b" name="af051332f6081fc403dfd66575df4030b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af051332f6081fc403dfd66575df4030b">&#9670;&#160;</a></span>CFG_TYPE_FLOAT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CFG_TYPE_FLOAT = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d22/_cfg_param_8c_source.html#l00003">3</a> of file <a class="el" href="../../d0/d22/_cfg_param_8c_source.html">CfgParam.c</a>.</p>

</div>
</div>
<a id="aa51a3809577ff9b39347a158d9d628f9" name="aa51a3809577ff9b39347a158d9d628f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa51a3809577ff9b39347a158d9d628f9">&#9670;&#160;</a></span>CFG_TYPE_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CFG_TYPE_INT = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d22/_cfg_param_8c_source.html#l00002">2</a> of file <a class="el" href="../../d0/d22/_cfg_param_8c_source.html">CfgParam.c</a>.</p>

</div>
</div>
<a id="a5ec6a3b0db96a95f007302245e08c808" name="a5ec6a3b0db96a95f007302245e08c808"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ec6a3b0db96a95f007302245e08c808">&#9670;&#160;</a></span>CFG_TYPE_PARAM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CFG_TYPE_PARAM = 5</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d22/_cfg_param_8c_source.html#l00006">6</a> of file <a class="el" href="../../d0/d22/_cfg_param_8c_source.html">CfgParam.c</a>.</p>

</div>
</div>
<a id="ac0481301affd7dbad5b77cf73ab5523c" name="ac0481301affd7dbad5b77cf73ab5523c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0481301affd7dbad5b77cf73ab5523c">&#9670;&#160;</a></span>CFG_TYPE_STRING</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CFG_TYPE_STRING = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d22/_cfg_param_8c_source.html#l00001">1</a> of file <a class="el" href="../../d0/d22/_cfg_param_8c_source.html">CfgParam.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_95075feac9ee3609295b78ec16180d9e.html">ConfigHandler</a></li><li class="navelem"><a class="el" href="../../d0/d22/_cfg_param_8c.html">CfgParam.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
